if ngx.req.get_method() == "POST" then
    local chunk_size = 5
    local upload = require "resty.upload"
    local form, err = upload:new(chunk_size)
    if not form then
        ngx.log(ngx.ERR, "failed to new upload: ", err)
        ngx.exit(500)
    end
    while true do
        local typ, res, err = form:read()
        if not typ then
            ngx.say("failed to read: ", err)
            return
        end

        if typ == "header" then
            ngx.say(res)
        elseif typ == "eof" then
            break
        end
    end
end
